com.mockobjects

## Interface ExpectationCollection

- All Superinterfaces:
    Expectation, Verifiable
  All Known Implementing Classes:
    AbstractExpectationCollection, ExpectationList, ExpectationSet

      public interface ExpectationCollection
      extends Expectation

  An ExpectationCollection is an expectation that supports multiple values, such as lists and sets. The addition methods distinguish between adding a single value and unpacking the contents of a collection. We have to make this distinction so that it is possible to add an array, enumeration, or iterator as a single expected object, rather than adding its contents.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActual(java.lang.Object actual)`
    `void` | `addActualMany(java.util.Enumeration actuals)`
    `void` | `addActualMany(java.util.Iterator actuals)`
    `void` | `addActualMany(java.lang.Object[] actuals)`
    `void` | `addExpected(java.lang.Object expected)`
    `void` | `addExpectedMany(java.util.Enumeration expectedItems)`
    `void` | `addExpectedMany(java.util.Iterator expectedItems)`
    `void` | `addExpectedMany(java.lang.Object[] expectedItems)`

    - ### Methods inherited from interface com.mockobjects.Expectation

      `hasExpectations, setExpectNothing, setFailOnVerify`

    - ### Methods inherited from interface com.mockobjects.Verifiable

      `verify`

- - ### Method Detail

    - #### addActual

          void addActual(java.lang.Object actual)

    - #### addActualMany

          void addActualMany(java.lang.Object[] actuals)

    - #### addActualMany

          void addActualMany(java.util.Enumeration actuals)

    - #### addActualMany

          void addActualMany(java.util.Iterator actuals)

    - #### addExpected

          void addExpected(java.lang.Object expected)

    - #### addExpectedMany

          void addExpectedMany(java.lang.Object[] expectedItems)

    - #### addExpectedMany

          void addExpectedMany(java.util.Enumeration expectedItems)

    - #### addExpectedMany

          void addExpectedMany(java.util.Iterator expectedItems)

Copyright © 2002 Mock Objects. All Rights Reserved.